ChatGPT स्क्रैपर
ChatGPT के उत्तरों—जिसमें Markdown response, search links और attribution data शामिल हैं—को कैप्चर करने के लिए scraper.chatgpt actor का उपयोग करें, बिना आपको स्वयं UI को reverse engineer करने की आवश्यकता के।
Request Example
curl 'https://api.scrapeless.com/api/v2/scraper/request' \
--header 'Content-Type: application/json' \
--header 'x-api-token: {you_api_key}' \
--data '{
"actor": "scraper.chatgpt",
"input": {
"prompt": "Most reliable proxy service for data extraction",
"country": "JP",
"web_search": true,
"shopping": true
},
"webhook": {
"url": "http://www.youwebhook.com"
}
}'Body Parameters
| पैरामीटर | प्रकार | आवश्यक | विवरण |
|---|---|---|---|
prompt | string | हाँ | ChatGPT को भेजने के लिए prompt। |
country | string | हाँ | देश या क्षेत्र कोड। |
web_search | boolean | नहीं | क्या web search सक्षम करना है। |
shopping | boolean | नहीं | क्या shopping data fetch करना है। डिफ़ॉल्ट रूप से true। सक्षम होने पर, products फ़ील्ड में product information लौटाता है। |
Response Fields
नोट: यदि response में shopping data (
productsफ़ील्ड) शामिल है, तो API call पर बेस रेट से 2x शुल्क लगेगा। यह कई स्रोतों से product information को extract और process करने के लिए आवश्यक अतिरिक्त resource overhead के कारण है।
| पैरामीटर | प्रकार | विवरण |
|---|---|---|
prompt | string | मूल prompt। |
result_text | string | ChatGPT से Markdown response। |
model | string | मॉडल पहचानकर्ता, उदाहरण के लिए gpt-5-1। |
web_search | bool | दर्शाता है कि search enrichment चला या नहीं। |
links | array | सहायक links की array। |
search_result | array | response से जुड़े SERP results। |
search_result.attribution | string | search result का स्रोत। |
search_result.snippet | string | ChatGPT द्वारा प्रदान किया गया snippet। |
search_result.title | string | search hit का शीर्षक। |
search_result.url | string | search hit का URL। |
content_references | array | ChatGPT उत्तर के अंदर शामिल references। |
content_references.attribution | string | reference का स्रोत। |
content_references.title | string | referenced content का शीर्षक। |
content_references.url | string | referenced content का URL। |
products | array | ChatGPT द्वारा लौटाई गई product information। |
products.id | string | अद्वितीय product पहचानकर्ता। |
products.title | string | product शीर्षक। |
products.description | string | product विवरण (null हो सकता है)। |
products.price | string | प्रदर्शित मूल्य, उदाहरण के लिए $799.99। |
products.rating | float | औसत रेटिंग स्कोर। |
products.num_reviews | int | समीक्षाओं की संख्या। |
products.merchants | string | विक्रेताओं के नाम, उदाहरण के लिए Sony + others। |
products.image_urls | array | product image URLs की array। |
products.url | string | product पेज URL। |
products.offers | array | purchase offers की array। |
products.offers.merchant_name | string | विक्रेता का नाम। |
products.offers.price | string | offer मूल्य। |
products.offers.price_details | object | विस्तृत मूल्य विवरण। |
products.offers.price_details.base | string | बेस मूल्य। |
products.offers.price_details.total | string | कर और शिपिंग सहित कुल मूल्य। |
products.offers.available | bool | product उपलब्धता स्थिति। |
products.offers.details | string | डिलीवरी और स्टॉक जानकारी। |
products.offers.url | string | चेकआउट या product URL। |
products.rating_grouped_citation | object | रेटिंग के लिए citation data। |
products.rating_grouped_citation.title | string | citation शीर्षक। |
products.rating_grouped_citation.url | string | citation URL। |
products.rating_grouped_citation.supporting_websites | array | रेटिंग का समर्थन करने वाली वेबसाइटें। |
products.rating_grouped_citation.supporting_websites.title | string | वेबसाइट शीर्षक। |
products.rating_grouped_citation.supporting_websites.url | string | वेबसाइट URL। |